kind: Service
apiVersion: v1
metadata:
    labels:
        app: wireguard
    name: wireguard-listener-svc
    namespace: home-stuff
spec:
    ports:
        - port: ENC[AES256_GCM,data:bxkWTA8=,iv:CacZRATTbqbTDi4rU/Su1MjAY53zeaePH72Wp9RSFmk=,tag:HCWb/zjoxkS84dQutaFOOw==,type:int]
          targetPort: ENC[AES256_GCM,data:uPHT1rY=,iv:Kc5u1D9qW6i9TEoHmEQCCyyLaXyKNo84Swv5eAJWQs8=,tag:rIxPQY6tyWrzNUjlRq4eHw==,type:int]
          protocol: ENC[AES256_GCM,data:SAgg,iv:liSCmillI9ILDf2dgUmpxjVuK6xhgxat5Fv4oHSzKsc=,tag:gDg9AXVcVJI7ubgPbHOtoA==,type:str]
    selector:
        app: ENC[AES256_GCM,data:TebiOZVSkoJt,iv:5Pck5NyWxE2TXEp2Bv4J9uTKH+GNze+foKSNuI/LFsg=,tag:XpLp8667CnHJDmOcl/FYKw==,type:str]
    type: LoadBalancer
    loadBalancerIP: ENC[AES256_GCM,data:De/ZKp8Gm9iMgQ1dTw==,iv:V97aT51OyHbT9EouczAM2SPw0eXP1DTe0tnI02odJqw=,tag:rFyLLufmI0UITh9elezf3Q==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBzNDRqRjJ3aWtDR3hWalRV
            NkRjTXR5WW9kQjhTbXNOOFpRWUlhZ2t6WW04ClV0RWwzMjh4VVRhMWxGR2lmM1Rh
            NWhMeWo1YU5Ka2hvT1lKODd3R2ZWdzgKLS0tIHdaZEZ4ZHorZ216MkRsY2s4a3Jx
            eGNzWlpCNTN5MVc3NkExczFmczJUTncKSeEJJ/RrQ7Dtcn4wqFisfo2CgeW9kpCK
            5btjM9dE7xfOHuyFb6ehEdMel/MnbsaLVKJxiYAvxE72oiZJSTGvZw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:01Z"
    mac: ENC[AES256_GCM,data:UsTN9AjkPmiqm2tl/KjMR30EqI8wYSgPxrO79LrkJEde3lNEJ4I85xCg6pm7tRVQmLDR7iqH4oGhh+F/IEzg4HvURFuqhb6MPAQ5ZCQv5s3eIvJYivigKDgmbkjsGCoA6uA9iBYxBiMcsRh5Pwwwn9pbH0XFo9Kf8MBDBG3Di9M=,iv:B9bY7kfYHCGeK6FdUSkoLHFOgpWapbsqASvpS2LH2YM=,tag:kBfjpqiDZWGD8ExU2cRSTQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
    name: wireguard-vpn
    namespace: home-stuff
    labels:
        app: wireguard
spec:
    replicas: ENC[AES256_GCM,data:pA==,iv:A+NZFuWaUEMRX1e8BRH5cgksSw1LpktwtvcUilOydHo=,tag:DuZLmEEFCTzxtphIBoD+oQ==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:U3kBLKRW2UDx,iv:PhxVfUaOgG66H7lS5pFJEaq5jiE4z56LAlCLUAlosOs=,tag:HZgHY41Q6XZpyywfR0MlMg==,type:str]
    template:
        metadata:
            labels:
                app: wireguard
        spec:
            containers:
                - name: ENC[AES256_GCM,data:JmI5tHtl25j863ozZg==,iv:9G4hXwslPTkvPbTBo794J7i6eKJZQ/yp9TrdMKske9k=,tag:xZ2FzZ2hYh1OMbnDREvuPQ==,type:str]
                  image: ENC[AES256_GCM,data:j+yBVw0xXCxl/is3VlUWVElyA+XAgw7Tkoz1owtWIzXYaPDgYo558U4=,iv:2rOj/RSfM+PH0O2b9FLu0NrVbnoljp1Z4Vm1fhEDGm0=,tag:LVT2ceE6jBQsZBdnfgs4iQ==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:OvRM4ENjl9DquBuz,iv:dwQbZz0eZiDuKS3NZOULiUMiS+HKi8P8EvMACLMIW20=,tag:QtDcDT0Gw6daGNieQxmTLQ==,type:str]
                  env:
                    - name: ENC[AES256_GCM,data:j6A=,iv:llj/+jlxkBB4JZNWLAwH2wLlpAqj8SsP65vP/YBzVR0=,tag:p20yD55h2iKG2kFhDPDivQ==,type:str]
                      value: ENC[AES256_GCM,data:6a52,iv:FfVb80emW7xUtZogBp1w0d0/Vw4CrVbAbc4zOCe4uSI=,tag:SIJNq0lNF1MUh2m5xY95bA==,type:str]
                    - name: ENC[AES256_GCM,data:YnkpOcSPR7Nc,iv:iKahbqII6q5rYvRJ3dX6U5gyifAjvFEqU9Zn0f0yxAM=,tag:2M2bJNW2Y9gftYZ0GsYeJQ==,type:str]
                      value: ENC[AES256_GCM,data:VbIQuU2ifC/j6bs6FZhuF/Iogo9CPg==,iv:ghOXmYHvFUbZ549HniwaotEyTAd5ri94oDJ9LEBUGiQ=,tag:eyH23DHUsdprGTunixbYoQ==,type:str]
                    - name: ENC[AES256_GCM,data:XRi57vXPpnK4Aw==,iv:i07m/mCHkgO0xukkl4nM16nDBR6lSI7giGWb5WShBVM=,tag:zSzD4/Zn1kQNOgVU0GKtDQ==,type:str]
                      value: ENC[AES256_GCM,data:oxhcEOw=,iv:lDji3gs7uy98OH+1yz78lMDrwcAvzcqFciyiX7cPFRc=,tag:5+qFVjX0dA8F+ALOAARPfA==,type:str]
                    - name: ENC[AES256_GCM,data:P4YSNw==,iv:UoO7HMPvLyIcUzVDZ3JZZ8Fwg4LXWdZKOgMUecXx0Js=,tag:U9Op+K63qvNZbC2BlYzg9g==,type:str]
                      value: ENC[AES256_GCM,data:kGwCmw==,iv:gPTmOWzdUZ8UFiOF1GFnX3ZbvxoXqQfjvUJLLRkqPcU=,tag:0IgfWE41ZmERYrSmk5p9Og==,type:str]
                    - name: ENC[AES256_GCM,data:rXgQ+w==,iv:13WFQh3ROoL7YYpvlA7l3o/A4Hwaid5kyqWNcagG2Oc=,tag:OIqJbW2C4kHHNShNOK/2cQ==,type:str]
                      value: ENC[AES256_GCM,data:Y/Na+g==,iv:YUQwuJr+1l5Pb0lcibdrvBIS59mVa0UaO56ksOE6arA=,tag:/QtWivzUWr4e+hFNPK2VAw==,type:str]
                    - name: ENC[AES256_GCM,data:tbN/Zmw/pdVQ,iv:v2049zVgmOVH7YcHpGesb5xnnYFRih+4zgX6KnNRV/c=,tag:zZo5K3Yl2jnFx46stuhEHw==,type:str]
                      value: ENC[AES256_GCM,data:wcIpxw==,iv:wetJ2BDxRfk1fxexZdq+GQPK2LNWipxU19nEbPYia3M=,tag:7XtHWh/hkt5LbXezJ6GwSA==,type:str]
                    - name: ENC[AES256_GCM,data:wXnBsB0=,iv:KXjQh9wJOMPxSc9RlbVNOXtC3FrMpWpcA6HnvOP/wcM=,tag:r+NbsrkG0nFu9JrkEV2b4Q==,type:str]
                      value: ENC[AES256_GCM,data:9oEyZ6MKhiD+FN/UfgHmJVARBqcAkyc=,iv:QBze6X3Pu7nSV9VHXkVuYgad4txpT79Ux25vRkhDB7o=,tag:tnOBYYn1ahzb8nB3xTXG9A==,type:str]
                    - name: ENC[AES256_GCM,data:6OGec9VenA==,iv:2+7MOu7x15oiW616hblaQxSKuOhywFr9xizYYb1fptQ=,tag:qSpyXyn7jmXKxDek58zePA==,type:str]
                      value: ENC[AES256_GCM,data:kr/6iTIROQ==,iv:wxz1t3WB77FTowHiUtykaMf0V7gjqXcN1vPw+2C2fz4=,tag:z67yfe5do/JRN5018B0I1Q==,type:str]
                  volumeMounts:
                    - name: ENC[AES256_GCM,data:XHtERgiTD45/s4IiEOG5Yw==,iv:4F5wu2/BSud4B++NRV2OyXrdNsz0BmnR3an4kG05ouo=,tag:5UYzM6pwMTmxRk6X9viWqA==,type:str]
                      mountPath: ENC[AES256_GCM,data:cwY1UGAWHw==,iv:13MLakD3pGew+6170+RUlQSzqris5FRvY+0xNeIRP7c=,tag:QV1IMWDqChXITWhebdNMXA==,type:str]
                      readOnly: ENC[AES256_GCM,data:Fl9auZ8=,iv:Ts0EN8/iLVZWVDcKqMIR0H/W+IV/tgW8Ows9aDL774c=,tag:0pTjraMhoaQ4u2wLF7S32A==,type:bool]
                  securityContext:
                    privileged: ENC[AES256_GCM,data:4W6QWw==,iv:7ycZJeGF1ztnOA6DGtNkKojZLHJ3ZWh6poVQq1KEYno=,tag:tFgpLaAz+9Xbl2KEx9bYpw==,type:bool]
                    allowPrivilegeEscalation: ENC[AES256_GCM,data:6Udjpg==,iv:6p1NWKWnZ27bC2ET+5z1VXY8HCqy7EESXIFOgxGWngA=,tag:hWb9Aw2UjaF3iRUy0Ue2Ow==,type:bool]
                    capabilities:
                        add:
                            - ENC[AES256_GCM,data:c3wcsDgeb9MC,iv:4q41+nCDIbDDfFXdI1l+4Go5ERUSj96K26+1L67btmA=,tag:w4XvL6il7yCDkvb2cEOelg==,type:str]
                            - ENC[AES256_GCM,data:p2jxugIquiQ3zA==,iv:QVd5S2ENxS34xpgsrPzXMrqZARH2xDRu3R9iCma/VWE=,tag:RHi0obkVc6NoPGYwnsjNcw==,type:str]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:U1hnU+8=,iv:3XyLzLwx9cG8QJGXaHKgHfnBsyKdGk2yYX9VTMh+Pxc=,tag:0C7dyDKSfSZsmQon9lgoMQ==,type:int]
                      protocol: ENC[AES256_GCM,data:Nttr,iv:BTWPmX3Tt/V/lH6q2CL32FpWCI7B3gw+5JTTaz851HI=,tag:nuDI4PGhzh6GqEvpr3wBKA==,type:str]
            restartPolicy: ENC[AES256_GCM,data:NP7O6vqM,iv:srzKoZQ+J9VLXXOUQsKnxgFMXDTvxXvTc3OD3XZq3rk=,tag:/x3TAKrX6zRggAecoPx+Cw==,type:str]
            volumes:
                - name: ENC[AES256_GCM,data:UYqb5n3W4RflM8nf5mw4nA==,iv:0PzJrqFTv9XE6YzO0qPdn7oJxeCQ8buHbBjb6iUAap8=,tag:O1L4UjSX9KIa6hk7T4V6QQ==,type:str]
                  persistentVolumeClaim:
                    claimName: ENC[AES256_GCM,data:JDONVG1yptmFgzuhzU+Ix3mXoLk=,iv:KxOZukBliLmJnqdeYVggnfvwqmJd8PugQrSdrud3mJw=,tag:ozHssOnlFYgG5B+2VjWtNg==,type:str]
                - name: ENC[AES256_GCM,data:NflcO/veuByT8nHctHuqWA==,iv:tLN5jy3krFIKUtjg8KUyppNXmTSPRXN87s1WDw+pyD8=,tag:13NLs1YwVnj5lFVBwZwFIg==,type:str]
                  secret:
                    secretName: ENC[AES256_GCM,data:z4zypb/VZNChof3B/oddYY0gQd17EHs=,iv:nQ/VtZ1CmSAFU6kaaAyUiCUGxN/a0Wx5bTxLqOsduAA=,tag:jH/CbIiesAyBYpl3iNE4/Q==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBzNDRqRjJ3aWtDR3hWalRV
            NkRjTXR5WW9kQjhTbXNOOFpRWUlhZ2t6WW04ClV0RWwzMjh4VVRhMWxGR2lmM1Rh
            NWhMeWo1YU5Ka2hvT1lKODd3R2ZWdzgKLS0tIHdaZEZ4ZHorZ216MkRsY2s4a3Jx
            eGNzWlpCNTN5MVc3NkExczFmczJUTncKSeEJJ/RrQ7Dtcn4wqFisfo2CgeW9kpCK
            5btjM9dE7xfOHuyFb6ehEdMel/MnbsaLVKJxiYAvxE72oiZJSTGvZw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:01Z"
    mac: ENC[AES256_GCM,data:UsTN9AjkPmiqm2tl/KjMR30EqI8wYSgPxrO79LrkJEde3lNEJ4I85xCg6pm7tRVQmLDR7iqH4oGhh+F/IEzg4HvURFuqhb6MPAQ5ZCQv5s3eIvJYivigKDgmbkjsGCoA6uA9iBYxBiMcsRh5Pwwwn9pbH0XFo9Kf8MBDBG3Di9M=,iv:B9bY7kfYHCGeK6FdUSkoLHFOgpWapbsqASvpS2LH2YM=,tag:kBfjpqiDZWGD8ExU2cRSTQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
